%define name banshee
%define version 2.6.0
%define release %mkrel 2
%define oname banshee-1

%define build_appledevice 1
%define build_ipod 1
%define build_njb 0
%define build_mtp 1
%define build_karma 1
%define build_boo 1
%define build_clutter 0
%define build_webkit 1
%define _requires_exceptions devel(libatiuki)

%{?_without_ipod: %{expand: %%global build_ipod 0}}
%{?_without_njb: %{expand: %%global build_njb 0}}
%{?_with_njb: %{expand: %%global build_njb 1}}
%{?_without_mtp: %{expand: %%global build_mtp 0}}
%{?_with_mtp: %{expand: %%global build_mtp 1}}
%{?_without_karma: %{expand: %%global build_karma 0}}
%{?_with_karma: %{expand: %%global build_karma 1}}
%{?_without_boo: %{expand: %%global build_boo 0}}
%{?_with_boo: %{expand: %%global build_boo 1}}
%{?_without_clutter: %{expand: %%global build_clutter 0}}
%{?_with_clutter: %{expand: %%global build_clutter 1}}

Summary: Music player with mobile player support
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.banshee.fm/%name/stable/%version/%name-%version.tar.xz
Source1: banshee-play-audiocd.desktop
License: MIT
Group: Sound
Url: http://banshee.fm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: mono-devel
%if %mdvver >= 201100
Buildrequires: mono-zeroconf-devel
Buildrequires: mono-addins-devel >= 0.6.2
Buildrequires: ndesk-dbus-glib
Buildrequires: taglib-sharp-devel >= 2.0.3.7
Buildrequires: notify-sharp-devel
%else
Buildrequires: mono-zeroconf
Buildrequires: mono-addins >= 0.6.2
Buildrequires: ndesk-dbus-glib
Buildrequires: taglib-sharp >= 2.0.3.7
Buildrequires: notify-sharp
%endif
Buildrequires: gnome-sharp2-devel
Buildrequires: webkit-sharp-devel
Buildrequires: gudev-sharp-devel
Buildrequires: gkeyfile-sharp-devel >= 0.1-1mdv
%if %build_webkit
Buildrequires: webkitgtk-devel >= 1.2.2
%endif
Buildrequires: libgoogle-data-mono-devel
Buildrequires: sqlite3-devel
Buildrequires: libgstreamer-plugins-base-devel
Buildrequires: libxrandr-devel libxxf86vm-devel
BuildRequires: gstreamer0.10-cdparanoia
BuildRequires: gstreamer0.10-gnomevfs
BuildRequires: gstreamer0.10-plugins-good
Buildrequires: gnome-desktop-devel
Buildrequires: libmtp-devel >= 0.2.1
%if %build_clutter
Buildrequires: clutter-devel >= 1.0
%endif
BuildRequires: gio-sharp-devel
BuildRequires: gtk-sharp-beans-devel
%if %build_boo
Buildrequires: boo
%endif
BuildRequires: mono-tools >= 1.1.9
Buildrequires: librsvg
Buildrequires: desktop-file-utils
Buildrequires: gnome-common intltool
Buildrequires: gnome-doc-utils
Buildrequires: dbus-sharp-glib-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-ugly
Requires: gstreamer0.10-cdparanoia
Requires: gstreamer0.10-gnomevfs
Requires: gio-sharp
Requires: libmono0
Provides: banshee-gstreamer banshee-official-plugins banshee-1
Obsoletes: banshee-gstreamer banshee-official-plugins banshee-1
Requires: gstreamer0.10-lame
Requires: gstreamer0.10-faac
Requires: gstreamer0.10-faad


%description
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

%if %build_ipod || %build_appledevice
%package ipod
Group: Sound
Summary: Ipod support for Banshee
Requires: %name = %version
%if %build_appledevice
Buildrequires: libgpod-devel >= 0.7.95
%endif
%if %build_ipod
%if %mdvver >= 201100
Buildrequires: ipod-sharp-devel >= 0.8.5
%else
Buildrequires: ipod-sharp >= 0.8.5
%endif
Requires: ipod-sharp >= 0.8.5
%endif

%description ipod
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for iPod support in Banshee.
%endif
%if %build_njb
%package njb
Group: Sound
Summary: Nomad jukebox support for Banshee
Requires: %name = %version
Buildrequires: njb-sharp >= 0.3.0

%description njb
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Nomad jukebox support in Banshee.
%endif

%if %build_mtp
%package mtp
Group: Sound
Summary: MTP audio player support for Banshee
Requires: %name = %version
Buildrequires: libmtp-devel >= 0.2.1

%description mtp
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for MTP audio player support in Banshee.
%endif


%if %build_karma
%package karma
Group: Sound
Summary: Rio Karma audio player support for Banshee
Requires: %name = %version
Buildrequires: karma-sharp

%description karma
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Rio Karma audio player support in Banshee.
%endif

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9
Provides: banshee-1-doc
Obsoletes: banshee-1-doc

%description doc
This package contains the API documentation for the %name in
Monodoc format.

%package devel
Group: Development/Other
Requires: %name = %version-%release
Summary: Development parts of %name

%description devel
This package contains the pkg-config files needed for building Banshee
extensions.

%prep
%setup -q -n %name-%version


%build
%configure2_5x  --with-vendor-build-id="PCLinuxOS %pclinuxos_release"  \
 --enable-mtp \
%if !%build_appledevice
 --disable-appledevice \
%endif
%if !%build_ipod
 --disable-ipod \
%endif
%if %build_karma
 --enable-karma \
%endif
%if %build_clutter
 --enable-clutter \
%endif

make

%install
rm -rf $RPM_BUILD_ROOT *.lang
%makeinstall_std MONO=true
%find_lang %name  --with-gnome

%if %build_ipod
ln -sf %_prefix/lib/ipod-sharp/{ipod-sharp-ui*,ipod-sharp.dll*} %buildroot%_libdir/%name/Extensions/
%endif
%if %build_appledevice
ln -sf %_libdir/libgpod/libgpod-sharp.dll* %buildroot%_libdir/%name/Extensions/
%endif
%if %build_karma
ln -sf %_prefix/lib/karma-sharp/karma-sharp.dll %buildroot%_libdir/%name/Extensions/
%endif

rm -f %buildroot%_libdir/%name/*.a %buildroot%_libdir/%name/gstreamer-0.10/*.a %buildroot%_libdir/%name/Backends/*.a

#gw fix paths in pkgconfig files
perl -pi -e "s^/lib$^/%_lib^" %buildroot%_libdir/pkgconfig/*.pc

#(nl) KDE Solid integration
mkdir -p %buildroot/%_datadir/apps/solid/actions/
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/apps/solid/actions/

#gw: generated at installation time
rm -rf %buildroot%_datadir/{applications/mimeinfo.cache,\
mime/{XMLnamespaces,a*,g*,icons,m*,subclasses,t*}}

#Menu Entry
desktop-file-install --vendor=""\
  --remove-category="Application" \
  --remove-category="Music" \
  --remove-category="Player" \
  --remove-category="X-Ximian-Main" \
  --remove-category="X-Novell-Main" \
  --remove-category="X-Red-Hat-Base" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS
%_bindir/bamz
%_bindir/%name
%_bindir/muinshee
%dir %_libdir/%name/
%dir %_libdir/%name/Backends
%_libdir/%name/Backends/Banshee.GStreamer.*
%_libdir/%name/Backends/Banshee.Gio.*
%_libdir/%name/Backends/Banshee.Gnome.*
%_libdir/%name/Backends/gio-sharp.dll
%_libdir/%name/Backends/gio-sharp.dll.config
%_libdir/%name/Backends/gio-sharp.dll.mdb
%_libdir/%name/Backends/Banshee.NowPlaying.X11.*
%_libdir/%name/Backends/Banshee.Unix.*
%_libdir/%name/Backends/libbnpx11.la
%_libdir/%name/Backends/libbnpx11.so
%dir %_libdir/%name/Extensions
%_libdir/%name/Extensions/Banshee.Audiobook.dll*
%_libdir/%name/Extensions/Banshee.Emusic.Store.dll
%_libdir/%name/Extensions/Banshee.Emusic.Store.dll.mdb
%_libdir/%name/Extensions/Banshee.OpticalDisc.dll
%_libdir/%name/Extensions/Banshee.OpticalDisc.dll.mdb
%if %build_boo
%_libdir/%name/Extensions/Banshee.BooScript.dll*
%endif
%_libdir/%name/Extensions/Banshee.AmazonMp3.exe*
%_libdir/%name/Extensions/Banshee.Bpm.dll*
%_libdir/%name/Extensions/Banshee.CoverArt.dll*
%_libdir/%name/Extensions/Banshee.Daap.dll*
%_libdir/%name/Extensions/Banshee.Dap.MassStorage.dll*
%_libdir/%name/Extensions/Banshee.Dap.dll*
%_libdir/%name/Extensions/Banshee.Emusic.dll*
%_libdir/%name/Extensions/Banshee.FileSystemQueue.dll*
%_libdir/%name/Extensions/Banshee.Fixup.dll*
%_libdir/%name/Extensions/Banshee.InternetArchive.dll*
%_libdir/%name/Extensions/Banshee.InternetRadio.dll*
%_libdir/%name/Extensions/Banshee.Lastfm.dll*
%_libdir/%name/Extensions/Banshee.LastfmStreaming.dll*
%_libdir/%name/Extensions/Banshee.LibraryWatcher.dll*
%_libdir/%name/Extensions/Banshee.MiniMode.dll*
%_libdir/%name/Extensions/Banshee.Mpris.dll*
%_libdir/%name/Extensions/Banshee.MultimediaKeys.dll*
%_libdir/%name/Extensions/Banshee.NotificationArea.dll*
%_libdir/%name/Extensions/Banshee.NowPlaying.dll*
%_libdir/%name/Extensions/Banshee.PlayerMigration.dll*
%_libdir/%name/Extensions/Banshee.PlayQueue.dll*
%_libdir/%name/Extensions/Banshee.Podcasting.dll*
%_libdir/%name/Extensions/Banshee.YouTube.dll*
%if %build_webkit
%_libdir/%name/Extensions/Banshee.AmazonMp3.Store.dll*
%_libdir/%name/Extensions/Banshee.MiroGuide.dll*
%_libdir/%name/Extensions/Banshee.Wikipedia.dll*
%endif
%_libdir/%name/*.exe*
%_libdir/%name/Banshee*.dll*
%_libdir/%name/Hyena*.dll*
%_libdir/%name/Lastfm*.dll*
%_libdir/%name/Migo.dll*
%_libdir/%name/Mono*.dll*
%_libdir/%name/MusicBrainz.dll*
%_libdir/%name/*.so
%_libdir/%name/Banshee.Services.addins
%attr(644,root,root) %_libdir/%name/*.la
%_datadir/%name/
%_datadir/dbus-1/services/*
%_datadir/applications/%{name}.desktop
%_datadir/applications/%{name}-audiocd.desktop
%ghost %_datadir/applications/%{name}-media-player.desktop
%_datadir/icons/hicolor/*/apps/*
%_datadir/apps/solid/actions/banshee-play-audiocd.desktop
%_datadir/mime/packages/banshee-amz.xml
%_datadir/mime/packages/banshee-emx.xml

%files devel
%defattr(-,root,root)
%_libdir/pkgconfig/%{name}*.pc

%files doc
%defattr(-,root,root)
%_prefix/lib/monodoc/sources/banshee-docs*
%_prefix/lib/monodoc/sources/hyena-docs*

%if %build_ipod || %build_appledevice
%files ipod
%defattr(-,root,root)
%if %build_ipod
%_libdir/%name/Extensions/ipod-sharp*
%endif
%if %build_appledevice
%_libdir/%name/Extensions/Banshee.Dap.AppleDevice.dll*
%_libdir/%name/Extensions/libgpod-sharp.dll*
%endif
%endif

%if %build_njb
%files njb
%defattr(-,root,root)
%_libdir/%name/Extensions/Banshee.Dap/*jb*
%endif

%if %build_mtp
%files mtp
%defattr(-,root,root)
%_libdir/%name/Mtp.dll*
%_libdir/%name/Extensions/Banshee.Dap.Mtp.dll*
%endif

%if %build_karma
%files karma
%defattr(-,root,root)
%_libdir/%name/Extensions/Banshee.Dap.Karma.dll*
%_libdir/%name/Extensions/karma-sharp.dll
%_libdir/%name/Extensions/karma-sharp.dll.config
%endif



%changelog
* Sun Nov 04 2012 Neal <nealbrks0 at gmail dot com> 2.6.0-2pclos2012
- rebuild

* Sun Nov 04 2012 Neal <nealbrks0 at gmail dot com> 2.6.0-1pclos2012
- add Buildrequires: dbus-sharp-glib-devel
- process

* Sun Nov 04 2012 Ken <lxgator at gmail.com> 2.6.0-1pclos2012
- 2.6.0

* Mon Jan 31 2011 Texstar <texstar at gmail.com> 1.8.1-1pclos2011
- 1.8.1

* Fri Nov 05 2010 Texstar <texstar at gmail.com> 1.8.0-4pclos2010
- require libmono0

* Sat Oct 30 2010 Texstar <texstar at gmail.com> 1.8.0-3pclos2010
- rebuild

* Wed Oct 13 2010 Texstar <texstar at gmail.com> 1.8.0-2pclos2010
- rebuild

* Wed Oct 13 2010 Texstar <texstar at gmail.com> 1.8.0-1pclos2010
- 1.8.0

* Mon Sep 20 2010 Texstar <texstar at gmail.com> 1.7.6-2pclos2010
- disable notification area for now as it crashes banshee

* Mon Sep 20 2010 Texstar <texstar at gmail.com> 1.7.6-1pclos2010
- 1.7.6

* Wed Apr 07 2010 slick50 <lxgator at gmail.com> 1.6.0-2pclos2010
- rebuild - add youtube support

* Thu Apr 01 2010 slick50 <lxgator at gmail.com> 1.6.0-1pclos2010
- 1.6.0

* Sat Mar 13 2010 slick50 <lxgator at gmail.com> 1.5.5-1pclos2010
- 1.5.5

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 1.5.2-2pclos2010
- rebuild

